// PN_LoaderDlg.cpp : Implementierungsdatei
//

#include "stdafx.h"
#include "PN_Loader.h"
#include "PN_LoaderDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

// CPN_LoaderDlg-Dialogfeld

CPN_LoaderDlg::CPN_LoaderDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CPN_LoaderDlg::IDD, pParent)
  {
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
  };

void CPN_LoaderDlg::DoDataExchange(CDataExchange* pDX)
  {
	CDialog::DoDataExchange(pDX);
  };

BEGIN_MESSAGE_MAP(CPN_LoaderDlg, CDialog)
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	ON_WM_SIZE()
#endif
	//}}AFX_MSG_MAP
  ON_BN_CLICKED(IDC_BUTTON_NAVI, &CPN_LoaderDlg::OnBnClickedButtonNavi)
  ON_BN_CLICKED(IDC_BUTTON_WIN, &CPN_LoaderDlg::OnBnClickedButtonWin)
  ON_BN_CLICKED(IDC_BUTTON_JPEG, &CPN_LoaderDlg::OnBnClickedButtonJpeg)
  ON_BN_CLICKED(IDC_BUTTON_MP3, &CPN_LoaderDlg::OnBnClickedButtonMp3)
END_MESSAGE_MAP()


// CPN_LoaderDlg-Meldungshandler

BOOL CPN_LoaderDlg::OnInitDialog()
  {
	CDialog::OnInitDialog();
	//Symbol fr dieses Dialogfeld festlegen. Wird automatisch erledigt
	SetIcon(m_hIcon, TRUE);			// Groes Symbol verwenden
	SetIcon(m_hIcon, FALSE);		// Kleines Symbol verwenden

	return TRUE;
  };

void CPN_LoaderDlg::OnBnClickedButtonNavi()
  {
  ExecuteExe(L"\\ResidentFlash\\Taz\\Bin\\TazApp.exe");
  };

void CPN_LoaderDlg::OnBnClickedButtonWin()
  {
  ExecuteExe(L"\\Windows\\explorer.exe");
  };

void CPN_LoaderDlg::OnBnClickedButtonJpeg()
  {
  ExecuteExe(L"\\ResidentFlash\\System\\Viewer.exe");
  };

void CPN_LoaderDlg::OnBnClickedButtonMp3()
  {
  ExecuteExe(L"\\ResidentFlash\\System\\MP3.exe");
  };

void CPN_LoaderDlg::ExecuteExe(CString oPath)
  {
  SHELLEXECUTEINFO Cmd = {0};
  Cmd.cbSize = sizeof(Cmd);
  Cmd.nShow = SW_SHOWNORMAL;
  Cmd.lpFile = oPath;
  ShellExecuteEx(&Cmd);
  };